## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.ValuesIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractIteratorDecorator
          org.apache.commons.collections.bidimap.AbstractDualBidiMap.ValuesIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  AbstractDualBidiMap

    protected static class AbstractDualBidiMap.ValuesIterator

extends AbstractIteratorDecorator

Inner class ValuesIterator.

Field Summary
`protected boolean` `canRemove` Whether remove is allowed at present
`protected java.lang.Object` `lastValue` The last returned value
`protected AbstractDualBidiMap` `parent` The parent map

Fields inherited from class org.apache.commons.collections.iterators.AbstractIteratorDecorator
`iterator`

Constructor Summary
`protected` `AbstractDualBidiMap.ValuesIterator(java.util.Iterator iterator, AbstractDualBidiMap parent)` Constructor.

Method Summary
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class org.apache.commons.collections.iterators.AbstractIteratorDecorator
`getIterator, hasNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

### lastValue

    protected java.lang.Object lastValue

  The last returned value

### canRemove

    protected boolean canRemove

  Whether remove is allowed at present

Constructor Detail

### AbstractDualBidiMap.ValuesIterator

    protected AbstractDualBidiMap.ValuesIterator(java.util.Iterator iterator,
                                                 AbstractDualBidiMap parent)

  Constructor.

  Parameters:
    `iterator` - the iterator to decorate
    `parent` - the parent map

Method Detail

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `AbstractIteratorDecorator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`
  Overrides:
    `remove` in class `AbstractIteratorDecorator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.